$(function(){
   //console.log("hi")
  var $mainMnu = $(".gnb > ul > li");

   var $mVisual = $("#mVisual");
   var $mVisual_img = $("#mVisual").find(".mVisual_img > ul > li");
   var $mVisual_txt = $("#mVisual").find(".mVisual_txt > ul > li");

   var $mVisual_indicator = $(".mVisual_indicator");
   var $mVisual_prev_btn = $mVisual_indicator.find(".mVisual_prev_btn");
   var $mVisual_next_btn = $mVisual_indicator.find(".mVisual_next_btn");

   var $indicator = $(".service_indicator > ul > li");
   var $service_li = $(".service_container > div > ul > li");

   var nowIdx = 0;
   var oldIdx = nowIdx;
   var headerIdx = 0;
   var sectionTop = [];

   $(".section").each(function(idx){
      sectionTop[idx] = $(this).offset().top;
      console.log("section", sectionTop[idx])
   }); //section의 높이값 알아내기







   function nextIdx() {
      if(nowIdx ==$mVisual_img.size()-1) {
         nowIdx = 0;
      }else {
         nowIdx++;
      }
   }//nextIdx

   function nextFnc() {
      $mVisual_img.eq(nowIdx).stop().fadeIn(400);
      $mVisual_img.eq(oldIdx).stop().fadeOut(400);
      $mVisual_txt.eq(nowIdx).stop().fadeIn(400);
      $mVisual_txt.eq(oldIdx).stop().fadeOut(400);


      oldIdx = nowIdx;
   }//nextFnc

   function start() {
      myInterval = setInterval(function(){
         nextIdx();
         nextFnc();
      },4500)
   }//interval start

   function restart() {
      clearInterval(myInterval)
      setTimeout(function(){
         start();
      },1)
   }//clearInterval and start


   //$mVisual.height($(window).height());
   $(document).ready(function(){
       $mainMnu.find("a").eq(nowIdx).addClass("on");
       start();
       $mVisual_img.hide().eq(nowIdx).show();
       $mVisual_txt.hide().eq(nowIdx).show();
      // $("html, body").stop().animate({"scrollTop" : 0},400)
  })//새로고침시 상단으로 이동

   $(window).on("load resize", function(){
      $mVisual.height($(window).height());

   })// window load , resize fnc


       $(window).on("resize", function(){
           if($(window).width()<769 && $(window).width()>767) {
              location.reload();
              console.log("reload")
          }
       })//반응형 넘어갈때 양옆 +-1로 새로고침


   $(window).on("load", function(){
        //$(".gnb").css({"display" : "block"})
      //$("html, body").stop().animate({"scrollTop" : 0},400)

      $indicator.eq(nowIdx).addClass("on");



         $(".mVisual_indicator").on({
            "mouseover" : function(){
               clearInterval(myInterval);
               $(".mVisual_txt").stop().css({"background-color" : "rgba(0,0,0,0.8)"})
            },
            "mouseleave" : function(){
               $(".mVisual_txt").stop().css({"background-color" : "rgba(0,0,0,0.6)"})
               start();
            }
         })
   })// window load fnc

   $mVisual_prev_btn.on("click", function(){


      restart();

      if(nowIdx == 0) {
         nowIdx = $mVisual_img.size()-1;
      }else {
         nowIdx--;
      }

      $mVisual_img.eq(nowIdx).stop().fadeIn(400);
      $mVisual_img.eq(oldIdx).stop().fadeOut(400);

      $mVisual_txt.eq(nowIdx).stop().fadeIn(400);
      $mVisual_txt.eq(oldIdx).stop().fadeOut(400);

      oldIdx = nowIdx;

   })//end of $mVisual_prev_btn click

   $mVisual_next_btn.on("click", function(){

      //restart();
      nextIdx();
      nextFnc();

   })//end of $mVisual_next_btn click




   $(window).on("scroll", function(){

      var scrollH = $(window).scrollTop();

      if($(window).width()>768) {
          if(scrollH >100) {
             $(".upArrow").stop().fadeIn(400)
             $("header").css({"background-color" : "#1e3571"})
          }else {
             $(".upArrow").stop().fadeOut(400)
             $("header").css({"background-color" : "rgba(000,000,000,0.3)"})
         }//위로 올라가기 나타남과 없어짐
     }else if($(window).width()<768) {
         if(scrollH >100) {
            $(".upArrow").stop().fadeIn(400)
            $("header").css({"background-color" : "#1e3571"})
         }else {
            $(".upArrow").stop().fadeOut(400)
            $("header").css({"background-color" : "#444"})
        }//위로 올라가기 나타남과 없어짐
     }

     // if(scrollH >sectionTop[1]-200) {
     //     $("header").css({"background" : "#2381e3"}) //rgba(000,000,000,0.5)
     // }else {
     //     $("header").css({"background" : "none"})
     // }



      $mVisual.css({"opacity" : 1-(scrollH/900)})

      for(i=0; i<5; i++) {
          if(scrollH >= sectionTop[i]-320) {
              $(".gnb > ul > li").eq(i).children().addClass("on").parent().siblings().children().removeClass("on");
          }
      }


   })// upArrow 나타내기

   $(".upArrow").on("click", function(){
      $("html, body").stop().animate({"scrollTop" : 0},400)
   })//올라가기 위로

   $(".downArrow").on("click", function(){
      $("html, body").stop().animate({"scrollTop" : sectionTop[1]-70},600)
  })//home에서 아래 화살표 클릭시 이동





       $("header").find(".headerM").on("click", function(){
          headerIdx = $(".headerM").index($(this));
          $("html, body").stop().animate({"scrollTop" : sectionTop[headerIdx]-70},600)
          console.log("sectionTop", headerIdx)
          //e.preventDefault();
      });//메인메뉴 클릭시 해당 section이동


var flag = false;

  if($(window).width()>768) {
      $(".gnb > ul > li").on("mouseover", function(){
          !flag;
          headerIdx = $(".headerM").index($(this));
          $(".sub_bg").stop().slideDown(200);
          $(".sub").eq(headerIdx-1).stop().slideDown(100);
          if($(this).hasClass("hit")) {
              flag = !flag;
              $(".sub").hide();
              $(".sub_bg").stop().slideUp(100);
          }


          console.log("PC")
      })//메뉴 호버
  }else {
      $(".gnb > ul > li").on("click", function(){
          !flag;
          headerIdx = $(".headerM").index($(this));
          //$(".sub_bg").stop().slideDown(200);
          $(".sub").eq(headerIdx-1).stop().slideDown(300);
          if($(this).hasClass("hit")) {
              flag = !flag;
              $(".sub").hide();
              $(".sub_bg").hide();
          }


          console.log("메뉴IDX", headerIdx)
      })//메뉴 호버


  }

  $(".gnb > ul > li").on("mouseleave", function(){
      $(".sub_bg").stop().slideUp(200);
      $(".sub").hide();

      console.log("메뉴IDX", headerIdx)
  })//메뉴 호버

  $(".lang").on("click", function(){
      $(this).find("ul").toggle();
  })








  $indicator.on("click", function(){
      nowIdx = $indicator.index($(this));

      $(".service_container").stop().animate({"left" :-(nowIdx*1200)},400)

      $indicator.eq(nowIdx).addClass("on").siblings().removeClass("on");

  })//service에 indicator 클릭시 fnc

  // $(".service_1 > ul > li").on("click", function(){
  //     console.log("test", $(".more > a").eq(nowIdx))
  //     nowIdx = $(".service_1 > ul > li").index($(this));
  //     $(".more > a").eq(nowIdx);
  // })





  // $(".service_container li").on({
  //     "mouseenter" : function(){
  //         $(this).find(".topic").css({"color" : "#333"})
  //         $(this).find(".info").css({"opacity" : 1})
  //     },
  //     "mouseleave" : function(){
  //         $(this).find(".topic").css({"color" : "#fff"})
  //         $(this).find(".info").css({"opacity" : 0})
  //     }
  // })





})//핸들러1

$(function(){
    $(".toggle").on("click", function(){

       $(this).toggleClass("clse");
        $(".gnb").toggle();
    })//토글 버튼 클릭이벤트
})

$(function(){
    var nowIdx = 0;

    $(".prev").on("click", function(){
        if(nowIdx == 0) {
            nowIdx = $(".service_1 > ul > li").length-1;
        }else {
            nowIdx--;
        }
        $(".service_container").stop().animate({"left" : -(nowIdx*350)},300)
        console.log("prev", nowIdx)

    })

    $(".next").on("click", function(){
        if(nowIdx == $(".service_1 > ul > li").length-1) {
            nowIdx = 0;
        }else {
            nowIdx++;

        }
        $(".service_container").stop().animate({"left" : -(nowIdx*350)},300)
        console.log("prev", nowIdx)

    })
})

/*연구과제*/
$(function() {
    var $sch_bar = $(".schedule_content ul");
    var $strength_top_li = $(".strength_top  ul  li ");
    var $strength_bot_li = $(".strength_bot  ul  li ");
    var $bg = $(".rnd_outside > ol > li > dl");
    var nowIdx = 0;
    var hitIdx = 0;


    $sch_bar.on("mouseover", function() {
        $(this).find(".sch_info").css({"color" : "#fff", "background-color" : "#1e3571"})
        $(this).find(".sch_info > em").css({"color" : "#fff", "opacity" : 1})
    })
    $sch_bar.on("mouseout", function() {
        $(this).find(".sch_info").css({"color" : "#000", "background-color" : "inherit"})
    })


    $strength_top_li.on("mouseover", function() {
        $(this).find(".line").stop().animate({"width" : 70},100);
        $(this).find(".strength_info").css({"color" : "#000"})
    })
    $strength_top_li.on("mouseout", function() {
        $(this).find(".line").stop().animate({"width" : 0},400)
        $(this).find(".strength_info").css({"color" : "#d1d1d1"})
    })
    $strength_bot_li.on("mouseover", function() {
        $(this).find(".line").stop().animate({"width" : 70},100);
        $(this).find(".strength_info").css({"color" : "#000"})
    })
    $strength_bot_li.on("mouseout", function() {
        $(this).find(".line").stop().animate({"width" : 0},400)
        $(this).find(".strength_info").css({"color" : "#d1d1d1"})
    })



    $(".rnd_outside > ol > li").on("mouseover", function() {
        nowIdx = $(".rnd_outside > ol > li").index($(this));
        $(".rnd_outside > ol > li > dl").eq(nowIdx).stop().animate({"opacity" : 1},300);
    } )

    $(".rnd_outside > ol > li").on("mouseout", function() {
        nowIdx = $(".rnd_outside > ol > li").index($(this));
        $(".rnd_outside > ol > li > dl").stop().animate({"opacity" : 0},300);
    } )
})
